hpp-core: hpp::core::ConfigValidations Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::ConfigValidations Class Reference
Validation of configurations and paths

`#include <hpp/core/config-validations.hh>`

Inheritance diagram for hpp::core::ConfigValidations:
[legend]
Collaboration diagram for hpp::core::ConfigValidations:
[legend]

## Public Member Functions
virtual bool | validate (const Configuration_t &config, ValidationReportPtr_t &validationReport)
void | add (const ConfigValidationPtr_t &configValidation)
| Add a configuration validation object.
size_type | numberConfigValidations () const
| Return the number of config validations.
Public Member Functions inherited from hpp::core::ConfigValidation
virtual | ~ConfigValidation ()=default
Public Member Functions inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
virtual | ~ObstacleUserVector ()=default
void | addObstacle (const CollisionObjectConstPtr_t &object)
void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &object)
void | filterCollisionPairs (const RelativeMotion::matrix_type &relMotion)
void | setSecurityMargins (const matrix_t &securityMatrix)
void | setSecurityMarginBetweenBodies (const std::string &body_a, const std::string &body_b, const value_type &margin)
void | clear ()
Public Member Functions inherited from hpp::core::ObstacleUserInterface
virtual | ~ObstacleUserInterface ()=default

## Static Public Member Functions
static ConfigValidationsPtr_t | create ()

## Protected Member Functions
| ConfigValidations ()=default
| ConfigValidations (std::initializer_list< ConfigValidationPtr_t > validations)
Protected Member Functions inherited from hpp::core::ConfigValidation
| ConfigValidation ()=default
Protected Member Functions inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
| ObstacleUserVector ()=default
| ObstacleUserVector (std::initializer_list< value_t > validations)

## Additional Inherited Members
Protected Types inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
typedef ConfigValidationPtr_t | value_t
typedef std::vector< value_t > | values_t
Protected Attributes inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
values_t | validations_

## Detailed Description

Validate a configuration with respect to collision

## Constructor & Destructor Documentation

## ◆ ConfigValidations() [1/2]

hpp::core::ConfigValidations::ConfigValidations | ( |  | ) |
| protecteddefault

## ◆ ConfigValidations() [2/2]

hpp::core::ConfigValidations::ConfigValidations | ( | std::initializer_list< ConfigValidationPtr_t > | validations | ) |
| inlineprotected

## Member Function Documentation

## ◆ add()

void hpp::core::ConfigValidations::add | ( | const ConfigValidationPtr_t & | configValidation | ) |

Add a configuration validation object.

## ◆ create()

static ConfigValidationsPtr_t hpp::core::ConfigValidations::create | ( |  | ) |
| static

## ◆ numberConfigValidations()

size_type hpp::core::ConfigValidations::numberConfigValidations | ( |  | ) | const

Return the number of config validations.

## ◆ validate()

virtual bool hpp::core::ConfigValidations::validate | ( | const Configuration_t & | config,
|  | ValidationReportPtr_t & | validationReport
| ) |  |
| virtual

Compute whether the configuration is valid

Parameters

  config | the config to check for validity,

Return values

  validationReport | report on validation. If non valid, a validation report will be allocated and returned via this shared pointer.

Returns
  whether the whole config is valid.

Implements hpp::core::ConfigValidation.

The documentation for this class was generated from the following file:

- include/hpp/core/config-validations.hh